Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product
Class ConfigFileTrackPlugin

    java.lang.Object
      org.hyperic.hq.product.GenericPlugin
          org.hyperic.hq.product.ConfigTrackPlugin
              org.hyperic.hq.product.ConfigFileTrackPlugin

Direct Known Subclasses:
  FileChangeTrackPlugin

    public class ConfigFileTrackPlugin

extends ConfigTrackPlugin

Field Summary
`protected static org.apache.commons.logging.Log` | `log`
`static String` | `PROP_FILES_PLATFORM`
`static String` | `PROP_FILES_SERVER`
`static String` | `PROP_FILES_SERVICE`
`protected org.hyperic.sigar.FileWatcher` | `watcher`

Fields inherited from class org.hyperic.hq.product.GenericPlugin
`config, FILE_DELIM, FILE_DELIM_ESC, PROP_NAME`

Constructor Summary
`ConfigFileTrackPlugin()`

Method Summary
`void` | `configure(org.hyperic.util.config.ConfigResponse config)`
`org.hyperic.util.config.ConfigSchema` | `getConfigSchema(TypeInfo info, org.hyperic.util.config.ConfigResponse config)` The ConfigSchema used to render config options for this resource in the UI and client shell.
`protected String` | `getDefaultConfigFile(TypeInfo info, org.hyperic.util.config.ConfigResponse config)`
`String[]` | `getFiles(org.hyperic.util.config.ConfigResponse config)`
`protected org.hyperic.util.config.ConfigOption` | `getFilesOption(TypeInfo info, org.hyperic.util.config.ConfigResponse config)`
`protected org.hyperic.sigar.FileWatcher` | `getFileWatcher()`
`void` | `shutdown()` Called when the server or agent is shutdown.

Methods inherited from class org.hyperic.hq.product.ConfigTrackPlugin
`getEnableOption, getManager, init, isEnabled, setEnabled`

Methods inherited from class org.hyperic.hq.product.GenericPlugin
`adjustClassPath, getAbsoluteFiles, getConfig, getConfig, getCustomPropertiesSchema, getCustomPropertiesSchema, getCustomPropertiesSchema, getDefaultInstallPath, getLog, getLogName, getManagerProperty, getName, getPlatformName, getPluginClassName, getPluginData, getPluginProperty, getPluginVersion, getProductPlugin, getProperties, getScriptExtension, getScriptExtension, getScriptExtension, getTypeInfo, getTypeNameProperty, getTypeNameProperty, getTypeProperties, getTypeProperty, getTypeProperty, getTypeProperty, isNetStatEnabled, isWin32, openResource, setData, setName, setPluginVersion, setTypeInfo, toFileList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_FILES_PLATFORM

    public static final String PROP_FILES_PLATFORM

### PROP_FILES_SERVER

    public static final String PROP_FILES_SERVER

### PROP_FILES_SERVICE

    public static final String PROP_FILES_SERVICE

### log

    protected static org.apache.commons.logging.Log log

### watcher

    protected org.hyperic.sigar.FileWatcher watcher

Constructor Detail

### ConfigFileTrackPlugin

    public ConfigFileTrackPlugin()

Method Detail

### getFileWatcher

    protected org.hyperic.sigar.FileWatcher getFileWatcher()

### getDefaultConfigFile

    protected String getDefaultConfigFile(TypeInfo info,
                                          org.hyperic.util.config.ConfigResponse config)

### getFilesOption

    protected org.hyperic.util.config.ConfigOption getFilesOption(TypeInfo info,
                                                                  org.hyperic.util.config.ConfigResponse config)

### getConfigSchema

    public org.hyperic.util.config.ConfigSchema getConfigSchema(TypeInfo info,
                                                                org.hyperic.util.config.ConfigResponse config)

  Description copied from class: `GenericPlugin`
  The ConfigSchema used to render config options for this resource in the UI and client shell.

  Overrides:
    `getConfigSchema` in class `ConfigTrackPlugin`
  Parameters:
    `info` - The TypeInfo of this plugin from ProductPlugin.getTypes
    `config` - ConfigReponse of the parent resource (if any).
  Returns:
    ConfigSchema for this resource.

### getFiles

    public String[] getFiles(org.hyperic.util.config.ConfigResponse config)

### configure

    public void configure(org.hyperic.util.config.ConfigResponse config)
                   throws PluginException

  Overrides:
    `configure` in class `GenericPlugin`
  Throws:
    `PluginException`

### shutdown

    public void shutdown()
                  throws PluginException

  Description copied from class: `GenericPlugin`
  Called when the server or agent is shutdown. Use this method to cleanup any resources that were created during the init() method.

  Overrides:
    `shutdown` in class `GenericPlugin`
  Throws:
    `PluginException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.